using System;
using System.Data;
using System.Configuration;
using System.IO;
using System.Net;
using System.Web;
using Vevo.Shared.Domain.SystemServices;

namespace Vevo.Shared.SystemServices
{
    /// <summary>
    /// Summary description for FormPosting
    /// </summary>
    public class HttpService : IHttpService
    {
        public string PostData( string url, string data, string contentType )
        {
            string result = "";

            HttpWebRequest objRequest = (HttpWebRequest) WebRequest.Create( url );
            objRequest.Method = "POST";
            objRequest.ContentLength = data.Length;
            objRequest.ContentType = contentType;

            using (StreamWriter myWriter = new StreamWriter( objRequest.GetRequestStream(), System.Text.Encoding.ASCII ))
            {
                myWriter.Write( data );
            }

            HttpWebResponse objResponse = (HttpWebResponse) objRequest.GetResponse();

            using (StreamReader sr = new StreamReader( objResponse.GetResponseStream() ))
            {
                result = sr.ReadToEnd();
            }
            return result;
        }

        public string PostData( string url, string data )
        {
            return PostData( url, data, "application/x-www-form-urlencoded" );
        }

    }
}
