using System;
using System.Collections.Generic;
using System.Text;
using Vevo.Domain.Shipping;
using Vevo.Base.Domain;

namespace Vevo.Domain.DataInterfaces
{
    public interface IShippingZoneGroupRepository
    {
        //Functions that are intended to be used internally inside aggregates.
        #region Aggregate Methods

        IList<ShippingZoneItem> GetShippingZoneItemByZoneGroupID( string zoneGroupID );
        IList<ShippingZoneItem> SearchShippingZoneItems(
            string zoneGroupID,
            string sortBy,
            SearchFilter searchFilter,
            int startIndex,
            int endIndex,
            out int howManyItems );
        IList<TableSchemaItem> GetShippingZoneItemTableSchemas();

        #endregion

        ShippingZoneGroup Save( ShippingZoneGroup zoneGroup );
        ShippingZoneGroup GetOne( string zoneGroupID );
        void Delete( string zoneGroupID );
        IList<ShippingZoneGroup> GetAll( string sortBy );
        IList<ShippingZoneGroup> SearchShippingZoneGroups(
            string sortBy,
            SearchFilter searchFilter,
            int startIndex,
            int endIndex,
            out int howManyItems );
        IList<TableSchemaItem> GetTableSchemas();
    }
}
